Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class DefaultTestManager

    java.lang.Object
      com.atlassian.bamboo.build.DefaultTestManager

All Implemented Interfaces:
  TestManager

    public class DefaultTestManager

extends Object
implements TestManager

Field Summary

Fields inherited from interface com.atlassian.bamboo.build.TestManager
`KEY_ALL_BUILDS, KEY_LAST_25_BUILDS, KEY_LAST_30_DAYS, KEY_LAST_7_DAYS, KEY_LAST_90_DAYS`

Constructor Summary
`DefaultTestManager(TestResultManager testResultManager)`

Method Summary
`Map` | `getAllTestCases(Build build, TestCaseFilter filter)` A Map all test cases which was ever historically present.
`BuildResultsSummaryManager` | `getBuildResultsSummaryManager()`
`IndexConnectionManager` | `getIndexConnectionManager()`
`List` | `getLongestRunningTests(Build build, int number, TestCaseFilter filter)`
`List` | `getLongestTimeToFixTests(Build build, int number, TestCaseFilter filter)`
`List` | `getMostFailingTests(Build build, int number, TestCaseFilter filter)` Get a list of the top X most failing test cases historically.
`protected Searcher` | `getSearcher()`
`TestCase` | `getTestCase(Build build, String key, TestCaseFilter filter)` A Lucene based implementation of a TestCase
`TestCaseFilter` | `getTestCaseFilter(String key, Build build)`
`TestResultManager` | `getTestResultManager()`
`void` | `setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)`
`void` | `setIndexConnectionManager(IndexConnectionManager indexConnectionManager)`
`void` | `setTestResultManager(TestResultManager testResultManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTestManager

    public DefaultTestManager(TestResultManager testResultManager)

Method Detail

### getTestCaseFilter

    public TestCaseFilter getTestCaseFilter(String key,
                                            Build build)

  Specified by:
    `getTestCaseFilter` in interface `TestManager`

### getTestCase

    public TestCase getTestCase(Build build,
                                String key,
                                TestCaseFilter filter)

  A Lucene based implementation of a TestCase

  Specified by:
    `getTestCase` in interface `TestManager`
  Parameters:
    `build` -
    `key` -
  Returns:
    `TestCase` object populated by index searches.

### getAllTestCases

    public Map getAllTestCases(Build build,
                               TestCaseFilter filter)
                        throws IOException

  Description copied from interface: `TestManager`
  A Map all test cases which was ever historically present. Each test case is one with a unique test suite and method name. The Key of map is the test case, in the form of: a.c.X:testFoo

  Specified by:
    `getAllTestCases` in interface `TestManager`
  Returns:
    `Map` of test cases. Key is the key of the test case. the value is the actual `TestCase` object.
  Throws:
    `IOException`

### getMostFailingTests

    public List getMostFailingTests(Build build,
                                    int number,
                                    TestCaseFilter filter)
                             throws IOException

  Description copied from interface: `TestManager`
  Get a list of the top X most failing test cases historically.

  Specified by:
    `getMostFailingTests` in interface `TestManager`
    `number` - - the top X number failing test cases
  Returns:
    `List` of `TestCase` objects representing this.
  Throws:
    `IOException`

### getLongestRunningTests

    public List getLongestRunningTests(Build build,
                                       int number,
                                       TestCaseFilter filter)
                                throws IOException

  Specified by:
    `getLongestRunningTests` in interface `TestManager`
  Throws:
    `IOException`

### getLongestTimeToFixTests

    public List getLongestTimeToFixTests(Build build,
                                         int number,
                                         TestCaseFilter filter)
                                  throws IOException

  Specified by:
    `getLongestTimeToFixTests` in interface `TestManager`
  Throws:
    `IOException`

### getSearcher

    protected Searcher getSearcher()
                            throws IOException

  Throws:
    `IOException`

### getTestResultManager

    public TestResultManager getTestResultManager()

### setTestResultManager

    public void setTestResultManager(TestResultManager testResultManager)

### getIndexConnectionManager

    public IndexConnectionManager getIndexConnectionManager()

### setIndexConnectionManager

    public void setIndexConnectionManager(IndexConnectionManager indexConnectionManager)

### getBuildResultsSummaryManager

    public BuildResultsSummaryManager getBuildResultsSummaryManager()

### setBuildResultsSummaryManager

    public void setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.